javax.mail.search

## Class SearchTerm

- java.lang.Object
- - javax.mail.search.SearchTerm

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AddressTerm, AndTerm, ComparisonTerm, FlagTerm, GmailMsgIdTerm, GmailThrIdTerm, NotTerm, OrTerm, StringTerm

      public abstract class SearchTerm
      extends Object
      implements Serializable

  Search criteria are expressed as a tree of search-terms, forming a parse-tree for the search expression.

  Search-terms are represented by this class. This is an abstract class; subclasses implement specific match methods.

  Search terms are serializable, which allows storing a search term between sessions. Warning: Serialized objects of this class may not be compatible with future JavaMail API releases. The current serialization support is appropriate for short term storage.

  Warning: Search terms that include references to objects of type `Message.RecipientType` will not be deserialized correctly on JDK 1.1 systems. While these objects will be deserialized without throwing any exceptions, the resulting objects violate the type-safe enum contract of the `Message.RecipientType` class. Proper deserialization of these objects depends on support for the `readReplace` method, added in JDK 1.2.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchTerm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `match(Message msg)` This method applies a specific match criterion to the given message and returns the result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchTerm

          public SearchTerm()

  - ### Method Detail

    - #### match

          public abstract boolean match(Message msg)

      This method applies a specific match criterion to the given message and returns the result.
      Parameters:
        `msg` - The match criterion is applied on this message
      Returns:
        true, it the match succeeds, false if the match fails

Copyright © 2013 Oracle. All Rights Reserved.